using Managing.Domain.Candles;
using static Managing.Common.Enums;

namespace Managing.Infrastructure.Evm.Abstractions;

public interface ISubgraphPrices
{
    public SubgraphProvider GetProvider();
    Task<IEnumerable<Candle>> GetPrices(Ticker ticker, DateTime startDate, Timeframe timeframe);
    Task<decimal> GetVolume(Ticker ticker);
    Task<IEnumerable<Ticker>> GetTickers();
}
